#
# Conditional build:
%bcond_with	bootstrap	# bootstrap (alias for _without_mpeg4ip)
%bcond_with	mpeg4ip		# don't build MPEG4IP plugin
%bcond_without	static_libs	# don't build static libraries
%bcond_without	xmms		# don't build XMMS plugin

%{?with_bootstrap:%undefine with_mpeg4ip}
Summary:	Freeware Advanced Audio Decoder 2
Summary(pl.UTF-8):	Darmowy zaawansowany dekoder audio
Name:		faad2
Version:	2.7
Release:	6
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
# Source0-md5:	4c332fa23febc0e4648064685a3d4332
Patch0:		%{name}-make.patch
Patch1:		%{name}-mpeg4ip.patch
Patch2:		%{name}-soname.patch
Patch3:		%{name}-backward_compat.patch
Patch4:		%{name}-mp4ff.patch
Patch5:		%{name}-man.patch
Patch6:		%{name}-mp4v2.patch
URL:		http://www.audiocoding.com/
%{?with_mpeg4ip:BuildRequires:	SDL-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_xmms:BuildRequires:	id3lib-devel >= 3.8.2}
BuildRequires:	libtool >= 2:1.4d-3
%if %{with mpeg4ip}
BuildRequires:	mp4v2-devel
BuildRequires:	mpeg4ip-devel >= 1:1.6
%endif
%{?with_xmms:BuildRequires:	rpmbuild(macros) >= 1.125}
%{?with_xmms:BuildRequires:	xmms-devel}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch.

%description -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP.

%package libs
Summary:	FAAD 2 libraries
Summary(pl.UTF-8):	Biblioteki FAAD 2
Group:		Libraries
Conflicts:	faad2 < 2.0-3

%description libs
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. This package contains base FAAD 2
libraries: libfaad and libmp4ff.

%description libs -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP. Ten pakiet zawiera podstawowe
biblioteki FAAD 2: libfaad i libmp4ff.

%package devel
Summary:	Header files for faad2
Summary(pl.UTF-8):	Pliki nagłówkowe faad2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for faad2.

%description devel -l pl.UTF-8
Pliki nagłówkowe faad2.

%package static
Summary:	Static faad2 library
Summary(pl.UTF-8):	Statyczna biblioteka faad2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static faad2 library.

%description static -l pl.UTF-8
Statyczna biblioteka faad2.

%package -n mpeg4ip-plugin-faad2
Summary:	MPEG4IP plugin for AAC files
Summary(pl.UTF-8):	Wtyczka MPEG4IP do plików AAC
Group:		Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}
Requires:	mpeg4ip

%description -n mpeg4ip-plugin-faad2
MPEG4IP plugin for AAC files.

%description -n mpeg4ip-plugin-faad2 -l pl.UTF-8
Wtyczka MPEG4IP do plików AAC.

%package -n xmms-input-faad2
Summary:	XMMS plugin for AAC files
Summary(pl.UTF-8):	Wtyczka XMMS do plików AAC
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xmms

%description -n xmms-input-faad2
XMMS plugin for AAC files.

%description -n xmms-input-faad2 -l pl.UTF-8
Wtyczka XMMS do plików AAC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
mv -f frontend/faad.{man,1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_xmms:out}-xmms \
	--with%{!?with_mpeg4ip:out}-mpeg4ip \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with xmms}
%{__rm} $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.{la,a}
%endif
%if %{with mpeg4ip}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/mp4player_plugin/*.{la,a}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/faad
%{_mandir}/man1/faad.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libfaad.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfaad.so.0
%attr(755,root,root) %{_libdir}/libmp4ff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp4ff.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfaad.so
%attr(755,root,root) %{_libdir}/libmp4ff.so
%{_libdir}/libfaad.la
%{_libdir}/libmp4ff.la
%{_includedir}/faad.h
%{_includedir}/mp4ff.h
%{_includedir}/mp4ff_int_types.h
%{_includedir}/mp4ffint.h
%{_includedir}/neaacdec.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfaad.a
%{_libdir}/libmp4ff.a
%endif

%if %{with xmms}
%files -n xmms-input-faad2
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/libmp4.so
%endif

%if %{with mpeg4ip}
%files -n mpeg4ip-plugin-faad2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mp4player_plugin/faad2_plugin.so*
%endif
%changelog
* Sat Apr 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/faad2.git;a=log;h=master

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 012e207
- fix install
- rel 6

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 5394a20
- disable mpeg4ip support
- rel 5

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 0e12fce
- release 4 (by relup.sh)

* Fri May 10 2013 Marcin Krol <hawk@tld-linux.org> aa497f0
- fix build without xmms

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> 06eb04d
- release 2 (by relup.sh)

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> ea603bc
- added mp4v2 patch (adjust for mpeg4ip with updated mp4v2)

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 45e28ee
- updated to 2.7
- updated backward_compat,make,mp4ff patches
- removed obsolete ac patch
- added man patch and mv to install man page as faad2(1)

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> cbb6007
- release 6

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> b4d7090
- realy package mp4ff_int_types.h

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> d9fc27f
- intall mp4ff_int_types.h too
- rel. 4

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> 8460ebc
- build and package shared libmp4ff
- rel. 3

* Wed Sep 16 2009 tommat <tommat@pld-linux.org> b62e63c
- add missing AC_PROG_CXX to configure.in

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> bae8225
- BR: mpeg4ip >= 1.6, patch contains fix incompatible with older versions
- release 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 8dcb230
- fix compilation with mpeg4ip >= 1.6

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> e4d59ed
- updated to 2.6.1
- dropped obsolete no-extension,inttypes_h patches, updated the rest

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 79c1f52
- updated for 2.6.1
- arguments match, so use aliases to avoid additional calls

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> f20ae39
- updated for 2.6.1

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 8198a2e
- dropped, mp4ff_int_types.h uses <stdint.h> on !_WIN32;
  more work to maintain patch than benefit (mp4ff.h is unpackaged private header)

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 7a7eade
- obsolete, does nothing now (operators precedence bug fixed some time ago)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 059244c
- tabs in preamble

